We have BM3.6 running here and are quite satisfied. It does
the job as expected and as we need it. Is BM3.6 still secure
enough, so that we can stay that way, or are there any known
vulnerabilties, so that is better to upgrade at the next
occasion?

Any input is highly appreciated.

Sincerely

Karl